<link rel="stylesheet" href="{$asseturl}css/campaigns.css">
<div class="panel panel-default campaigns" data-xhrurl="{$xhrurl}" data-token="{$cin_token}">
  <div class="container-wrapper">
    <h1>Kampagnen Übersicht</h1> <!-- TODO lang -->
    <div class="campaign-collection">
      {foreach from=$campaigns['campaigns'] item=campaign}
        {include './campaign_item.tpl'}
      {/foreach}
      <button type="button" class="new-campaign btn btn-primary" data-toggle="modal" data-target="#campaignCrafting"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="modal fade" id="campaignCrafting" tabindex="-1" role="dialog" aria-labelledby="campaignCraftingTitle" aria-hidden="true" data-backdrop="static">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="campaignCraftingLongTitle">Kampagne</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="campaign-form">
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignname">Kampagne:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <input class="form-control" id="campaignname" name="campaignname" type="text" value="" placeholder="Kampagne"> <!-- TODO lang -->
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Geben Sie Ihrer neuen Kampagne einen eindeutigen Namen">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignattribute">Funktionsattribut:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <div class="btn-group">
                <input class="form-control" id="campaignattribute" name="campaignattribute" type="text" value="" placeholder="Funktionsattribute">
                <button type="button" id="dropdown-attributes" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-search"></i></button>
                <div class="dropdown-menu" aria-labelledby="dropdown-attributes">
                  {foreach from=$campaigns['availableAttributeValues'] key=campaign_attr_key item=campaign_attr}
                  <button class="dropdown-item" type="button">{$campaign_attr_key}</button>
                  {/foreach}
                </div>
              </div>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Gebe ein Wert für das Funktionsattribut des Plugins an.">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignmode">Anzeigemodus:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <select id="campaignmode" name="campaignmode" class="custom-select" data-selected-text-format="count > 2" data-size="7" data-actions-box="true">
                <option value="both" selected="">alle Artikel</option>
                <option value="onlyFather">nur Vaterartikel</option>
                <option value="onlyChild">nur Kindartikel</option>
              </select>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Welche Artikelarten sollen dargestellt werden?">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaigncolumns">Spalten:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <!--input class="form-control" id="campaigncolumns" name="campaigncolumns" type="number" min="1" value="3" placeholder="Spalten"--> <!-- TODO lang -->
              <div class="input-group form-counter choose_columns" id="quantity-grp0" role="group">
                <div class="input-group-prepend ">
                  <button type="button" class="btn btn-decrement btn-" aria-label="Menge verringern" data-count-down="">
                    <span class="fas fa-minus"></span>
                  </button>
                </div>
                <input class="form-control" type="number" id="campaigncolumns" value="3" min="1" max="" step="" name="campaigncolumns" data-decimals="0">
                <div class="input-group-append ">
                  <button type="button" class="btn btn-increment btn-" aria-label="Menge erhöhen" data-count-up="">
                    <span class="fas fa-plus"></span>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Anzahl nebeneinander dargestellter Elemente.">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignrows">Reihen:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <!--input class="form-control" id="campaignrows" name="campaignrows" type="number" min="" value="" placeholder="Reihen"--> <!-- TODO lang -->
              <div class="input-group form-counter choose_rows" id="quantity-grp1" role="group">
                <div class="input-group-prepend ">
                  <button type="button" class="btn btn-decrement btn-" aria-label="Menge verringern" data-count-down="">
                    <span class="fas fa-minus"></span>
                  </button>
                </div>
                <input class="form-control" type="number" id="campaignrows" value="2" min="1" max="" step="" name="campaignrows" data-decimals="0">
                <div class="input-group-append ">
                  <button type="button" class="btn btn-increment btn-" aria-label="Menge erhöhen" data-count-up="">
                    <span class="fas fa-plus"></span>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Anzahl untereinander dargestellter Elemente.">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignwindow">In neuem Fenster öffnen:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <input class="form-control" id="campaignwindow" type="checkbox" name="campaignwindow">
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Möchten Sie, dass Goggle alle Ihre Verkäufe trackt?">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>
          
          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaignorder">Reihenfolge:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <select id="campaignorder" name="campaignorder" class="custom-select" data-selected-text-format="count > 2" data-size="7" data-actions-box="true">
                <option value="nothing" selected="">Egal</option>
                <option value="random">Zufällig</option>
                <option value="published">Erscheinungsdatum</option>
              </select>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="In welcher Reihenfolge sollen die Elemente dargestellt werden?">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>

          <div class="form-group form-row align-items-center">
            <label class="col col-sm-4 col-form-label text-sm-right" for="campaigncell">Zellenbreite:</label>
            <div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2">
              <!--input class="form-control" id="campaignrows" name="campaignrows" type="number" min="" value="" placeholder="Reihen"--> <!-- TODO lang -->
              <div class="input-group form-counter choose_rows" id="quantity-grp1" role="group">
                <div class="input-group-prepend ">
                  <button type="button" class="btn btn-decrement btn-" aria-label="Menge verringern" data-count-down="">
                    <span class="fas fa-minus"></span>
                  </button>
                </div>
                <input class="form-control" type="number" id="campaigncell" value="200" min="100" max="" step="" name="campaigncell" data-decimals="0">
                <span>Pixel</span>
                <div class="input-group-append ">
                  <button type="button" class="btn btn-increment btn-" aria-label="Menge erhöhen" data-count-up="">
                    <span class="fas fa-plus"></span>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-auto ml-sm-n4 order-2 order-sm-3">
              <span data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Breitenangabe eines Elements.">
                <span class="fas fa-info-circle fa-fw"></span>
              </span>
            </div>
          </div>

        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Abbrechen</button>
        <button type="button" class="btn btn-primary btn-save">Speichern</button>
      </div>
    </div>
  </div>
</div>
<script>
  var campaigns = {$campaigns|json_encode},
      articleCampaignUrl = '{$plugin_url}';
</script>
<script src="{$asseturl}js/campaign.js" charset="utf-8"></script>
